﻿using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace FluidMoveTest
{
	public partial class MainPage : UserControl
	{
		private static Random seed; 
		
		public MainPage()
		{
			// Required to initialize variables
			InitializeComponent();
			
			seed = new Random();
		}
		
		private Color GetRandomColor() 
		{ 
			Color newColor = new Color(); 
			
			newColor.A = (byte)255; 
			newColor.R = (byte)seed.Next(0, 256); 
			newColor.G = (byte)seed.Next(0, 256); 
			newColor.B = (byte)seed.Next(0, 256); 
			
			return newColor;
		}

		private void RemoveChild(object sender, System.Windows.RoutedEventArgs e)
		{
			if (buttonContainer.Children.Count > 0)
			{
				buttonContainer.Children.RemoveAt(0);
			}
		}

		private void AddChild(object sender, System.Windows.RoutedEventArgs e)
		{
			buttonContainer.Children.Insert(0, GetGeneratedRectangle());
		}
		
		private Rectangle GetGeneratedRectangle()
		{
			Rectangle newRectangle = new Rectangle();
			newRectangle.Height = 23;
			newRectangle.Margin = new Thickness(10);
			newRectangle.Stroke = new SolidColorBrush(Colors.Black);
			
			newRectangle.Fill = new SolidColorBrush(GetRandomColor());	
			
			return newRectangle;
		}
	}
}